- Qt 5.15
- Qt Quick 3D
- QML Types
- PickResult QML Type
- Qt Quick 3D | Commercial or GPLv3

# PickResult QML Type

Contains the results of a pick. More...

Import Statement: | import QtQuick3D 1.15

- List of all members, including inherited members

## Properties

- distance : float
- objectHit : Model
- scenePosition : vector3d
- uvPosition : vector2d

## Detailed Description

Created as a return object to View3D::pick.

## Property Documentation

distance : float

This property holds the distance between the camera and the hit position i.e. the length of the ray.

objectHit : Model

This property holds the model object hit by the pick.

scenePosition : vector3d

This property holds the scene position of the hit.

uvPosition : vector2d

This property holds the UV position of the hit. The UV position is calculated as the normalized local x and y coordinates of the hit point relative to the bounding volume. Useful for further picking against an offscreen-rendered object.